#ifndef _biglabel_h__
#define _biglabel_h__

#include <QLabel>
#include <QRect>

#include "TChannel.h"

class BigLabel : public QLabel {
    Q_OBJECT

  public:
    BigLabel();
    virtual ~BigLabel();

    void refresh(const TChannel *channel);

  private:
    void fitFont(QRect rect);
    void resizeEvent(QResizeEvent *event);
};

#endif // _biglabel_h__
